Introduction into SpamBrave

Application SpamBrave is a plug-in for Microsoft Outlook Express mail client, designed for automatic anti-spam mail filtering.

Principle of Filtering

SpamBrave works on the principle of statistical Bayesian algorithm, which is believed to be the best solution for today in client-side spam filtering.

Personalization

SpamBrave does not depend on external databases. It is getting instructed outright by your incoming messages, making it possible to adapt it to your understanding of what junk mail (spam) is.

Adapting to Changing Characteristics of Spam

The characteristics of spam are changing in the course of time. Spammers are constantly looking for new solutions and techniques to avoid anti-spam filters. SpamBrave is based on self-learning, which allows adapting to such changes without needing further explicit instructions from you.

Statistics

SpamBrave gathers detailed information about the work already done. This information is always available for you.

Compatibility

SpamBrave is compatible with Outlook Express 5 - 6, Windows Mail and OS Windows 98, ME, NT4, 2000, XP, Vista.


Getting to Know SpamBrave

SpamBrave save your time and effort, transferring unwanted mail from your Inbox. It is enough to offer it samples of messages for training and it will enlarge its Knowledge Base automatically further on, thus, getting adapted to the changing characteristics of the unwanted messages, without needing further explicit instructions from you.

Creating the SpamBrave Knowledge Base
Before SpamBrave can filter unwanted messages, it should be trained. Provide samples of good messages to SpamBrave as well as samples of unwanted messages. This is the only requirement for instruction - there should be sample of good messages and unwanted messages.

First Launch
After installing SpamBrave, when launching your mail client for the first time, SpamBrave will offer to run its Setup Wizard, which will help you to initialize the main settings and create the SpamBrave Knowledge Base.

To start working with SpamBrave, look through the following sections:

  • Configuration Settings
  • Training SpamBrave


Configuration Settings

To change SpamBrave settings:

  1. Choose SpamBrave options in Tools menu.
  2. Change settings and click OK


General Settings

Folder for Spam Messages is a folder where SpamBrave will place all messages identified as unwanted (spam).

Folder for Unsure Messages is a folder where SpamBrave will place messages identified as Unsure.

To change the target folder:

  1. Click on Browse.
  2. Click on the wanted folder in the dialogue window or create a new folder, if necessary.
  3. Click on OK button to finish.

In Order to Mark Spam Messages as Read – choose this option if you want spam messages to be marked as Read after being transferred to the Folder for Spam Messages.

In Order to Mark Unsure Messages as Read – choose this option if you want the Unsure messages to be marked as Read after being transferred to the Folder for Unsure Messages.

In order to get a warning after marking the message as spam/not spam – tick off this option if you do not want the system to request a confirmation when you mark the message as spam/not spam;


Mark Settings

Marking as Not Spam

Use these options to change SpamBrave's behavior when message is marked as Not Spam.

Move message to - shows where SpamBrave should move the message after it is marked as Not Spam. This option is used for those messages, which are found in the folder "Inbox", "Spam" and "Unsure" only.

  • Don't move - not to move message
  • 'Inbox' Folder - move message into your Inbox
  • Browse... - allows to manually select the target folder

Add Sender to Allow List - add sender's address of the selected message to your Allow List.

Mark message as Read - choose this option if you want the message to be marked as read.

Note

  • If you want to move the selected message to different folder, use Ctrl + 'Not Spam' button to access the Browse for Folder dialog.

Marking as Spam

Use these options to change SpamBrave's behavior when message is marked as Spam.

Move message to - shows where SpamBrave should move the message after it is marked as Spam.

  • Don't move - not to move message
  • 'Spam' Folder - move message into "Spam" Folder
  • 'Deleted Items' Folder - move message into 'Deleted Items' Folder

Add Sender to Block List - add sender's address of the selected message to your Block List.

Mark message as Read - choose this option if you want the message to be marked as read.


Filtering Mode Settings

SpamBrave filtering mode determines the level of "aggressiveness" with which SpamBrave treats the messages classified.

Soft
Reduces the risk of a good message getting into the Spam Folder. However, it increases the number of spam messages which get into the Unsure Folder. Use this mode if SpamBrave filtering is producing false positives.

Moderate
A balanced mode, which minimizes the risk of getting into Spam Folder for good messages and getting into Unsure Folder for Spam messages.

Aggressive
Reduces the number of messages getting into the Unsure Folder, but it increases the risk of good messages getting into the Spam Folder. Use this mode if SpamBrave filtering isn't producing any false positives, or you want to reduce the number of messages getting into the Unsure Folder.


Activate/Deactivate SpamBrave

Spam Report

Allows to change the preamble text that is inserted into the spam report before the report is sent to the spammer's ISP.


Advanced Settings

Use these settings to Enable/Disable Spam Folder cleaning up.

Enable Spam Folder cleaning up - choose this option if you want SpamBrave to automatically delete messages, the retention cycle of which is over the cycle indicated in Days to keep messages in Spam Folder.

Move messages to "Deleted Items" Folder - choose this option if you want SpamBrave to delete spam messages to "Deleted Items" Folder. It will allow you to restore the deleted messages later, if necessary. If this option is not flagged, the deleted messages are not to be restored.

Days to keep messages in Spam Folder - indicate the number of days you want SpamBrave to keep messages in Spam Folder.


Training SpamBrave

The process of training consists in providing SpamBrave with messages you consider to be spam and messages you consider being good ones. SpamBrave will analyse the messages and create its Knowledge Base which will later be used for classifying incoming mail.

The ways of training for SpamBrave are as follows:

  • You already have messages, which you would like to offer SpamBrave for training. In this case, use the Setup Wizard, which will lead you through the process of setting-up and training.
  • ú You can mark the incoming messages manually as spam/not spam, thus giving instructions to SpamBrave. At the beginning, you may have quite a few incoming messages identified as Unsure, but in the course of enlarging the SpamBrave Knowledge Base, fewer messages will be identified as Unsure. As a rule, according to this way of training, SpamBrave will work effectively as early as one week after you start using it.

It should be noted that the effectiveness of SpamBrave functioning at the beginning, right after being trained, depends on the number of messages provided for training.

Go to the sections:

  • Training by the Setup Wizard
  • Manual Training


General Information on the Principle of Filtering

Statistical principle of filtering is based on the theory of probability and works on the principle of Bayesian statistical algorithm for spam filtering. Every message is analyzed by a number of characteristics; each of them corresponds to two probability values – availability of this characteristic in good messages and in spam, respectively. The probability of spam is determined by the combination of these values for all the characteristics. The Knowledge Base, created in the course of training for SpamBrave, is used for evaluation of characteristics' probability values, on the basis of two types of message samples - good messages and junk (spam).

Every time you get a new mail, SpamBrave identifies which of three categories it belongs to – spam, unsure or good. Messages identified as good ones are saved in your Inbox, the rest is sent to the corresponding category folders.

Mistakes are possible, particularly at the beginning when SpamBrave contains few samples of messages. In this case, mark an incorrectly identified message to the corresponding category spam/not spam.


Training by the Setup Wizard

Provided that you have a number of messages to offer SpamBrave for training, use the Setup Wizard. The Setup Wizard will lead you through the process of setting and training for SpamBrave.

In order to use the Setup Wizard:

  1. To launch the Setup Wizard, choose Setup Wizard in SpamBrave menu.
  2. Follow the instructions on the screen.
  3. Press Finish when the process of training is over.

Now SpamBrave is ready for work.

Note

  • Do not delete spam messages after training; you may need them in case you want to retrain SpamBrave.


Manual Training

You can train SpamBrave manually, marking incoming messages as spam/not spam using an appropriate button on the SpamBrave's toolbar.

It should be noted that at the beginning of the training process, SpamBrave can make errors. In this case, you should correct it by marking messages correctly.

Caution

  • For the correct SpamBrave training process, you should mark not only spam messages, but good messages as well. Otherwise, SpamBrave will send good messages to Spam Messages Folder.

Note

  • Do not delete spam messages after training; you may need them in case you want to retrain SpamBrave.


The Setup Wizard

The Setup Wizard will lead you through the process of SpamBrave configuring and training.

In order to launch the Setup Wizard, choose Setup Wizard in SpamBrave menu.


Main SpamBrave Settings

SpamBrave Settings

Indicate folders where SpamBrave will keep messages identified as spam or Unsure.

In order to change the target folder:

  1. Press Browse.
  2. In the opened dialogue window of the list of folders, choose the folder you need or create a new one if needed.
  3. Press OK.

Press Next to continue.


Choosing folders with good messages.

Indicate folders with good messages. It is strongly recommended to indicate all folders with good messages.

In order to add a folder to the list of good folders:

  1. Press the button Add.
  2. In the opened window of the list of folders, choose the folder and press OK.

If the folder you chose contains subfolders, they will also be added to the list.

In order to delete the folder, choose it in the list of folders and press the button Delete.

Caution

  • The folders you add to the list should contain ONLY GOOD messages. Otherwise, SpamBrave does not guarantee accuracy.

To continue, press the button Next.


Choosing folder with spam messages

Indicate folder with unwanted messages.

In order to choose the folder:

  1. Press the button Browse.
  2. In the opened window of the list of folders choose the folder you need.
  3. Press OK to finish.

Attention! The Folder you have chosen should contain ONLY SPAM messages. Otherwise, SpamBrave does not guarantee accuracy.

To continue, press the button Next.


Creating The Knowledge Base

At this stage SpamBrave will analyze the messages in the indicated folders and create its Knowledge Base.

Depending on the number of messages, the process may take from some seconds to several minutes.

To continue, press the button Next.


Allow/Block List

In order to add/remove/edit e-mail addresses or Internet domains, click on Allow/Block List on the SpamBrave Toolbar.


Allow List

It contains the list of addresses and domains you believe to be reliable. The mail sent from the addresses or from the domains from this list will never be treated as unwanted.

In order to add an e-mail address or domain to the Allow List:

  1. Click on Allow/Block List on the SpamBrave Toolbar.
  2. Go to the tab Allow List.
  3. Click on Add.
  4. Enter e-mail address or domain and click on OK.
  5. Repeat steps 3 and 4 for each address you want to add.

Note

  • You may save and restore the lists of e-mail addresses and domains, using the corresponding instructions Export to file/Import from file.


Block List

It contains the list of addresses or domains, from which you wouldn't like to get messages. Mail sent from the addresses or domains from Block List will always be treated as unwanted.

In order to add an e-mail address or domain to the Block List:

  1. Click on Allow/Block List on the SpamBrave Toolbar.
  2. Go to the tab Block List.
  3. Click on Add.
  4. Enter e-mail address or domain and click on OK.
  5. Repeat steps 3 and 4 for each address you want to add.

Note

  • You may save and restore the lists of e-mail addresses and domains, using the corresponding instructions Export to file/Import from file.


Activate/Deactivate SpamBrave

Change the language of the SpamBrave user interface

To change the language of the SpamBrave user interface:

  1. Open SpamBrave's Options dialog box.
  2. Click the User Interface tab.
  3. In the language list select the appropriate language.

Note

  • Language settings will take effect only after the program is restarted.


Bounce to Sender

Bouncing e-mail messages to the sender with a delivery failure report is one possible way to reduce the amount of unwanted messages you get.

In order to bounce the message back to sender with a delivery failure report:

  1. Choose the message you want to bounce to sender.
  2. Click on Bounce to Sender on the SpamBrave Toolbar.

Note

  • Keep in mind that most spammers use faked, or harvested e-mail addresses, so that bouncing an e-mail message often means you might just end up spamming some innocent person who didn't send you the e-mail in the first place.


Activate/Deactivate SpamBrave

Report a Spammer

Reporting spammers to their ISPs (Internet Service Providers) is an extremely effective way to lower the amount of spam you receive.

To report a spammer:

  1. Locate the message you want to report as spam.
  2. Click on Report a Spammer on the SpamBrave's toolbar.


Statistics

In order to view SpamBrave statistics, choose SpamBrave Statistics in SpamBrave menu.

Knowledge Base

It shows the number of good messages and spam messages, which were used for creating the SpamBrave Knowledge Base.

Statistics

It shows detailed information about SpamBrave's functioning in a graphical format.

Spam | Correctly identified spam messages
Good messages | Correctly identified good messages
Unsure messages | Messages, the category of which is not clear
False positives | Good messages identified as spam.
Missed negatives | Spam messages identified as good ones

The accuracy of filtering is an integral criterion of SpamBrave quality of performance.


Mark one or several messages as spam/not spam

To mark one or several messages as spam/not spam:

  1. Select messages in Outlook Express Message List.
  2. Press the Spam/Not Spam button on the SpamBrave's toolbar.


Activate/Deactivate SpamBrave

Choose a corresponding label in the program group Start | Programs | SpamBrave for Outlook Express.


Register the program

If you paid the SpamBrave registration fee and received a registration key, please enter it precisely as it was indicated in the registration e-mail, given after SpamBrave registration. Remember, you should not change your name, nor use another name, nor change your e-mail address. If you have entered your registration data correctly, your name will appear in the window that appears when you select the About SpamBrave command and the Registration reminder will no longer appear.

To purchase license for using SpamBrave, read Purchasing.


Uninstall SpamBrave

To uninstall SpamBrave:

  1. Open Windows Control Panel.
  2. Double click on Add/Remove Programs.
  3. Find SpamBrave in the list and double click on it.
  4. Follow the instructions of Uninstall Wizard.


Purchasing

This version of SpamBrave is a trial version. This means that you may use the program free for a 14 day trial period. When the trial period comes to end, you must do one of the following:

  • Purchase SpamBrave to be able to use it further.
  • Remove SpamBrave from your computer.

You will have the following advantages after purchasing SpamBrave:

  • Unlimited personal use of SpamBrave.
  • Technical support.
  • Discounts on upgrades.

We accept most credit cards, other frequent ways of payment are also possible, including PayPal, telephone and fax orders, checks and bank transfers. You can also pay for the purchase via secure link from our site: www.spambrave.com/purchase.html.


Contact Information

Technical support
If you face some problems with our software and/or you have questions, please contact us .

Feedback
If you have any comments to share, or any ideas to be realized in the further versions of our software, please write to suggestion@spambrave.com . Your opinion is of high importance for us. It will help us to improve our product and make it handier for you.

SpamBrave Web Site | www.spambrave.com
Technical Support | support@spambrave.com
Comments and Proposals | suggestion@spambrave.com


RBL Filtering

Allows to configure a list of RBL servers which are used for the messages testing.

What is RBL?

A Real-Time BlackHole List (RBL) is a Domain Name Server (DNS) contains the IP-addresses of known spam sources and open relay servers which are responsible for spam.

Note. Internet delays may increase the time of messages testing.

Enable RBL Filtering - choose this option if you want SpamBrave to test each incoming message through RBL servers.

The list of RBL servers - contains a list of RBL servers (one per line).